Loading...
Searching...
No Matches
Opm::EclMultiplexerMaterialParams< Traits, GasOilMaterialLawT, OilWaterMaterialLawT, GasWaterMaterialLawT > Class Template Reference

Multiplexer implementation for the parameters required by the multiplexed three-phase material law. More...

`#include <EclMultiplexerMaterialParams.hpp>`

Inheritance diagram for Opm::EclMultiplexerMaterialParams< Traits, GasOilMaterialLawT, OilWaterMaterialLawT, GasWaterMaterialLawT >:

## Public Member Functions

| EclMultiplexerMaterialParams ()
| The multiplexer constructor.
| EclMultiplexerMaterialParams (const EclMultiplexerMaterialParams &other)
EclMultiplexerMaterialParams & | operator= (const EclMultiplexerMaterialParams &other)
void | setApproach (EclMultiplexerApproach newApproach)
EclMultiplexerApproach | approach () const
template<EclMultiplexerApproach approachV>
std::enable_if< approachV==EclMultiplexerApproach::Stone1, Stone1Params >::type & | getRealParams ()
template<EclMultiplexerApproach approachV>
std::enable_if< approachV==EclMultiplexerApproach::Stone1, constStone1Params >::type & | getRealParams () const
template<EclMultiplexerApproach approachV>
std::enable_if< approachV==EclMultiplexerApproach::Stone2, Stone2Params >::type & | getRealParams ()
template<EclMultiplexerApproach approachV>
std::enable_if< approachV==EclMultiplexerApproach::Stone2, constStone2Params >::type & | getRealParams () const
template<EclMultiplexerApproach approachV>
std::enable_if< approachV==EclMultiplexerApproach::Default, DefaultParams >::type & | getRealParams ()
template<EclMultiplexerApproach approachV>
std::enable_if< approachV==EclMultiplexerApproach::Default, constDefaultParams >::type & | getRealParams () const
template<EclMultiplexerApproach approachV>
std::enable_if< approachV==EclMultiplexerApproach::TwoPhase, TwoPhaseParams >::type & | getRealParams ()
template<EclMultiplexerApproach approachV>
std::enable_if< approachV==EclMultiplexerApproach::TwoPhase, constTwoPhaseParams >::type & | getRealParams () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class Traits, class GasOilMaterialLawT, class OilWaterMaterialLawT, class GasWaterMaterialLawT>
class Opm::EclMultiplexerMaterialParams< Traits, GasOilMaterialLawT, OilWaterMaterialLawT, GasWaterMaterialLawT >

Multiplexer implementation for the parameters required by the multiplexed three-phase material law.

Essentially, this class just stores parameter object for the "nested" material law and provides some methods to convert to it.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EclMultiplexerMaterialParams.hpp